{*******************************************************************************
* Unit      : TSLockPK Demostration program "LockPK"                           *
********************************************************************************
* Purpose   : Demonstration/Example program for the SLockPK component          *
*             This program is intended to provide SLockPK users with ideas     *
*             and examples how to use the SLockPK component to achieve         *
*             successful results. You are at liberty to use sections of this   *
*             example code in your applications when you have purchased a      *
*             license for SLockPK                                              *
********************************************************************************
* Copyright : This software  is copyright TSM Inc. 1998-1999                   *
*             This source code may not be distributed to third parties in      *
*             or in part without the written permission of TSM Inc.            *
*             All rights reserved. Liability limited to replacement of         *
*             this original source code in the case of loss or damage because  *
*             the use or misuse of this software.                              *
********************************************************************************
* Version   : 22.04.99  - 2.00  PK version "SLockPK"                           *
********************************************************************************
* Switches  : None                                                             *
*******************************************************************************}
unit frmInit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, shellapi;

type
  TfrmLoadInitCert = class(TForm)
    mmoInstructions: TMemo;
    btnLoadCertificate: TButton;
    mmoCertificate: TMemo;
    Bevel1: TBevel;
    btnLoadCertClip: TButton;
    pnlButtons: TPanel;
    btnDone: TButton;
    btnTSMWeb: TButton;
    btnPurchase: TButton;
    btnGetUserInfo: TButton;
    procedure btnLoadCertificateClick(Sender: TObject);
    procedure btnLoadCertClipClick(Sender: TObject);
    procedure btnDoneClick(Sender: TObject);
    procedure btnGetUserInfoClick(Sender: TObject);
    procedure btnPurchaseClick(Sender: TObject);
    procedure btnTSMWebClick(Sender: TObject);
  end;

var
  frmLoadInitCert: TfrmLoadInitCert;

implementation

uses Slockfrm, RegFrm;

{$R *.DFM}

{*******************************************************************************
* Procedure : TfrmLoadInitCert.btnLoadCertificateClick                         *
********************************************************************************
* Purpose   : This passes the certificate from the memo field into SLockPK     *
*             using the LoadCertStrings function.                              *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadInitCert.btnLoadCertificateClick(Sender: TObject);
begin
     // feed the certificate into SLock
     frmMain.SLock1.LoadCertStrings(mmoCertificate.Lines);
end; {TfrmLoadInitCert.btnLoadCertificateClick}

{*******************************************************************************
* Procedure : TfrmLoadInitCert.btnLoadCertClipClick                            *
********************************************************************************
* Purpose   : This loads a certificate directly from the clipboard             *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadInitCert.btnLoadCertClipClick(Sender: TObject);
begin
     // load the certificate direct from the clipboard
     frmMain.SLock1.LoadCertClipboard;
end; {TfrmLoadInitCert.btnLoadCertClipClick}

{*******************************************************************************
* Procedure : TfrmLoadInitCert.btnDoneClick                                    *
********************************************************************************
* Purpose   : This closes the window                                           *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadInitCert.btnDoneClick(Sender: TObject);
begin
     Close;
end; {TfrmLoadInitCert.btnDoneClick}

{*******************************************************************************
* Procedure : TfrmLoadInitCert.btnGetUserInfoClick                             *
********************************************************************************
* Purpose   : Opens the certificate request window                             *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadInitCert.btnGetUserInfoClick(Sender: TObject);
begin
     // create the registration window
     frmRegister := TfrmRegister.Create(self);

     // set the caption and show the window
     frmRegister.Caption := 'Request registration Certificate';
     frmRegister.ShowModal;

     // release the window
     frmRegister.Free;
end; {TfrmLoadInitCert.btnGetUserInfoClick}

{*******************************************************************************
* Procedure : TfrmLoadInitCert.btnPurchaseClick                                *
********************************************************************************
* Purpose   : Opens a browser window to the KAGI order site                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadInitCert.btnPurchaseClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil, PChar('http://order.kagi.com/?GDS'), nil, nil, SW_SHOWNORMAL);
end; {TfrmLoadInitCert.btnPurchaseClick}

{*******************************************************************************
* Procedure : TfrmLoadInitCert.btnTSMWebClick                                  *
********************************************************************************
* Purpose   : Opens a browser window to the TSM main window                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadInitCert.btnTSMWebClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil,
                  PChar('http://www.crypto-central.com/index.html'),
                  nil, nil, SW_SHOWNORMAL);
end; {TfrmLoadInitCert.btnTSMWebClick}

end.
